#*********************************************************************************
# 
#    $Id: ah2.spec,v 1.32 2004/07/17 14:24:11 croftj Exp $
#    Copyright (c) 2004 Joe Croft <joe@croftj.net>
#    
#    This file is part of ah2.
# 
#    ah2 is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
# 
#    Foobar is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
# 
#    You should have received a copy of the GNU General Public License
#    along with Foobar; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
#*******************************************************************************/

Summary: An customer database and invoicing system for auto repair shops
Name: ah2
#*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*
#
#     YOU NEED TO CHANGE THE VERSION HERE
#
#        AND THE CVS VERSION BELOW!!!
#
#*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*
Version: 0.15
Release: 0
Copyright: GPL
Source: http://www.linuxlots.com/~ah2/ah2-%{version}.tar.gz
Group: Applications/Productivity
BuildRoot: /var/tmp/%{name}-buildroot
Vendor: CroftJ Internet Services

%description
The ah2 program maintains customer and vehicle records for auto repair shops. It provides a means of 
entering workorders and generating invoices for the customers. It also provides a limited number of reports.

%prep

%build
rm -rf ah2-%{version}

#*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*
#
# BE SURE TO CHANGE THE CVS VERSION HERE!!!!!
#
#*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*!*
cvs export -r AH2-0-15 -d ah2-%{version} ah2
rm ah2-%{version}/web/*
rmdir ah2-%{version}/web
tar -czf ../SOURCES/ah2-%{version}.tar.gz ah2-%{version}
cd ah2-%{version}
qmake ah2.pro
make

%install
cd ah2-%{version}
mkdir -p $RPM_BUILD_ROOT/opt/ah2/reports
mkdir -p $RPM_BUILD_ROOT/opt/ah2/icons
mkdir -p $RPM_BUILD_ROOT/opt/ah2/docs
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/perl5/site_perl
mkdir -p $RPM_BUILD_ROOT/opt/ah2/database
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/applnk/Application/

install -s -m 755 ah2 		$RPM_BUILD_ROOT/usr/bin/ah2
install -m 755 rptMonthlySummary.pl $RPM_BUILD_ROOT/opt/ah2/reports/rptMonthlySummary.pl
install -m 755 rptRevenuExpense.pl $RPM_BUILD_ROOT/opt/ah2/reports/rptRevenuExpense.pl
install -m 644 Reports.pm 	$RPM_BUILD_ROOT/usr/lib/perl5/site_perl/Reports.pm
install -m 644 ah2.psql 	$RPM_BUILD_ROOT/opt/ah2/database/ah2.psql
install -m 644 ah2.png 		$RPM_BUILD_ROOT/opt/ah2/icons/ah2.png
install -m 644 ah2.xpm 		$RPM_BUILD_ROOT/opt/ah2/icons/ah2.xpm
install -m 644 ah2-invoice.png 	$RPM_BUILD_ROOT/opt/ah2/icons/ah2-invoice.png
install -m 644 Users_Manual.sxw $RPM_BUILD_ROOT/opt/ah2/docs/Users_Manual.sxw
install -m 644 ah2.lsm	 	$RPM_BUILD_ROOT/opt/ah2/docs/ah2.lsm
install -m 644 ah2.desktop 	$RPM_BUILD_ROOT/opt/kde3/share/applnk/Application/ah2.desktop

%clean
cd ah2-%{version}
rm -rf $RPM_BUILD_ROOT

%files
%attr(-, root, root) /usr/bin/ah2
%attr(-, root, root) /opt/ah2/reports/rptMonthlySummary.pl
%attr(-, root, root) /opt/ah2/reports/rptRevenuExpense.pl
%attr(-, root, root) /opt/ah2/database/ah2.psql
%attr(-, root, root) /usr/lib/perl5/site_perl/Reports.pm
%attr(-, root, root) /opt/ah2/icons/ah2.png
%attr(-, root, root) /opt/ah2/icons/ah2.xpm
%attr(-, root, root) /opt/ah2/icons/ah2-invoice.png
%attr(-, root, root) /opt/ah2/docs/Users_Manual.sxw
%attr(-, root, root) /opt/ah2/docs/ah2.lsm
%attr(-, root, root) /opt/kde3/share/applnk/Application/ah2.desktop
